Bug 1298314 - [Lago] - ovirt hosted engine setup fails to calculate nfs storage space [NEEDINFO]
[Lago] - ovirt hosted engine setup fails to calculate nfs storage space
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General (Show other bugs)
1.3.2.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.5
: ---
Assigned To: Simone Tiraboschi
Ilanit Stein
: AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 13:27 EST by Anatoly Litovsky
Modified: 2016-03-02 08:17 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 08:17:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: needinfo? (tlitovsk)
sbonazzo: needinfo? (tlitovsk)
ylavi: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Anatoly Litovsky 2016-01-13 13:27:14 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1.Start HE setup
2. Provide NFS storage with 25G


Actual results:
System claims less then 20G available
[ INFO  ] Stage: Initializing
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: 
          Configuration files: ['/tmp/tmpiMQmZk']
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20160113181222-4039kh.log
          Version: otopi-1.4.0 (otopi-1.4.0-1.el7ev)
[ INFO  ] Hardware supports virtualization
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Stage: Environment customization
         
          --== STORAGE CONFIGURATION ==--
         
          During customization use CTRL-D to abort.
          Please specify the storage you would like to use (glusterfs, iscsi, fc, nfs3, nfs4)[nfs3]: 
          Please specify the full shared storage connection path to use (example: host:/path): 192.168.100.1:/run/nfs           
[ INFO  ] Installing on first host
          Please provide storage domain name. [hosted_storage]: 
          Local storage datacenter name is an internal name
          and currently will not be shown in engine's admin UI.
          Please enter local datacenter name [hosted_datacenter]: 
[ ERROR ] Failed to execute stage 'Environment customization': Storage domain for self hosted engine is too small: you should have at least 20.00 GB free
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/var/lib/ovirt-hosted-engine-setup/answers/answers-20160113181249.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Hosted Engine deployment failed: this system is not reliable, please check the issue, fix and redeploy
          Log file is located at /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20160113181222-4039kh.log
Something went wrong setting up hosted engine, or the setup process was cancelled.


Additional info:
Filesystem     1K-blocks      Used Available Use% Mounted on
tmpfs            5994024         0   5994024   0% /sys/fs/cgroup
/dev/dm-3       51270276  22838292  25804504  47% /
tmpfs            5994024       616   5993408   1% /tmp
Comment 1 Anatoly Litovsky 2016-01-13 13:29:01 EST
[root@node-he admin]# rpm -qa | grep hosted
ovirt-hosted-engine-setup-1.3.2.2-2.el7ev.noarch
ovirt-hosted-engine-ha-1.3.3.7-1.el7ev.noarch
ovirt-node-plugin-hosted-engine-0.3.0-6.el7ev.noarch
Comment 2 Fabian Deutsch 2016-01-14 02:04:33 EST
Could it be that /run is a tmpfs? It's for me on CentOS 7
Comment 3 Sandro Bonazzola 2016-01-14 02:14:51 EST
Anatoly can you check how much space you have on 192.168.100.1:/run/nfs ?
Comment 4 Sandro Bonazzola 2016-03-02 08:17:38 EST
No answer in one month, closing with insufficient data. Please reopen if you can provide requested info.

Note You need to log in before you can comment on or make changes to this bug.